Skip to main content
`Ctrl`+`K`
scipy.signal.

# sepfir2d

scipy.signal.sepfir2d(input, hrow, hcol)

  Convolve with a 2-D separable FIR filter.

  Convolve the rank-2 input array with the separable filter defined by the rank-1 arrays hrow, and hcol. Mirror symmetric boundary conditions are assumed. This function can be used to find an image given its B-spline representation.

  Parameters:
    input ndarray

      The input signal. Must be a rank-2 array.

    hrow ndarray

      A rank-1 array defining the row direction of the filter. Must be odd-length

    hcol ndarray

      A rank-1 array defining the column direction of the filter. Must be odd-length

  Returns:
    output ndarray

      The filtered signal.

  Examples

  Examples are given in the tutorial.